Subject: Re: Notes and questions while reading the documentation

From: Christian Meder <[email-masked]>
Date: Mon, 10 Oct 2005 23:22:35 +0200

Sorry for being slow.

On Wed, 2005-10-05 at 16:30 -0700, Junio C Hamano wrote:
> Christian Meder <[email-masked]> writes:
> 
> > * a lot of the manpages include something like "v0.1, June 2005" in the
> > header; these versions tags are pretty obscure to interpret, timestamp
> > when last edited ? version of the manpage ? version of git when the
> > manpage was included ? maturity the author assigned to the content ?
> > If these tags don't follow some sane schema they should be removed.
> 
> I think the original intent was the last modification datestamp
> and the version of the documentation, but I agree it should be
> removed.  I do not think they show on the HTML version, nor man
> pages, although I have to admit that I haven't looked at
> generated manpages for some time.

Ok. I've done a patch to remove them in a separate email.

> > * the usage of git, Git and GIT isn't consistent in the documentation.
> > I'd vote for only using git.
> 
> Sounds sane.  What would we do if we need to start sentences with it?

I prepared a patch which changes all usages to git even at the beginning
of sentences.  

> > * git-clone says that http transport is not supported yet I used it to
> > clone the git repo from kernel.org yesterday. Should the documentation
> > get updated ?
> 
> Thanks for noticing.  Yes, now HTTP can handle both of the
> trickier setups (packed, and alternates); credit goes to Daniel.

I noted it down for my second sweep.

> > * the manpage synopsises aren't consistent wrt command naming; it's "git
> > commit" but "git-branch"; I guess all the manpages should reference
> > their commands as "git-x" and not "git x"
> 
> Agreed.
> 

Ok. Patch in separate email.

				Christian

-- 
Christian Meder, email: [email-masked]

The Way-Seeking Mind of a tenzo is actualized 
by rolling up your sleeves.

                (Eihei Dogen Zenji)